#[macro_use]
pub mod macros;

pub mod prelude;

pub(crate) mod extension_traits;
pub type Str = ::std::borrow::Cow<'static, str>;

#[derive(Default)]
pub struct InvariantLifetimeMarker<'lifetime>(
    ::core::marker::PhantomData<&'lifetime mut &'lifetime ()>,
);
